Bug 1000613 - Latexila - Segmentation fault (core dumped)
Latexila - Segmentation fault (core dumped)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: latexila (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 16:25 EDT by Germán Racca
Modified: 2015-02-17 11:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:53:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Germán Racca 2013-08-23 16:25:50 EDT
Description of problem:

Can't open Latexila, it always crashes.

Please, could you inform upstream?

Version-Release number of selected component (if applicable):

LaTeXila 2.8.2
latexila-2.8.2-1.fc19.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Open Latexila
2. It crashes
3.

Actual results:

** (latexila:25153): CRITICAL **: file build_tools.c: line 614 (build_tools_get_post_processor_type_from_name): should not be reached
Segmentation fault (core dumped)

Expected results:

Should open normally

Additional info:

Inform upstream about this bug please.
Comment 1 Roger Pueyo 2013-09-05 14:34:45 EDT
Hi Germán,

I had the same problem and found a workaround.

Try removing the Latexila configuration folder of your user. In my case, it was located in /home/my_username/.config/latexila . Aftert this, Latexila should open normally, but you will lose your personal settings.

Regards,
Comment 2 Germán Racca 2013-09-05 14:54:37 EDT
(In reply to Roger Pueyo from comment #1)
> Hi Germán,
> 
> I had the same problem and found a workaround.
> 
> Try removing the Latexila configuration folder of your user. In my case, it
> was located in /home/my_username/.config/latexila . Aftert this, Latexila
> should open normally, but you will lose your personal settings.
> 
> Regards,

Oh it really works!

Thanks Roger :)
Comment 3 Fedora End Of Life 2015-01-09 14:34:20 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:53:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.